# Class StyleForCharacter

#### Hierarchy

- Style
  - StyleForCharacter

- Defined in file/styles/style/character-style.ts:13

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new StyleForCharacter(options): StyleForCharacter

- #### Parameters

  - ##### options: ICharacterStyleOptions

  #### Returns StyleForCharacter

  Overrides Style.constructor

  - Defined in file/styles/style/character-style.ts:16

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from Style.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from Style.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc